Last Comment Bug 516547 - Remove the browser.display.base_font_scaler preference and backend code that processes it
: Remove the browser.display.base_font_scaler preference and backend code that ...
Status: RESOLVED FIXED
[good first bug]
:
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: All All
: -- minor (vote)
: mozilla8
Assigned To: Javi Rueda
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-14 15:07 PDT by Jeff Walden [:Waldo] (remove +bmo to email)
Modified: 2011-07-12 03:47 PDT (History)
4 users (show)
bzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch to the bug 516547 (15.13 KB, patch)
2011-07-10 18:34 PDT, Javi Rueda
bzbarsky: review+
dbaron: superreview+
Details | Diff | Splinter Review

Description Jeff Walden [:Waldo] (remove +bmo to email) 2009-09-14 15:07:55 PDT
Blame goes back to 1998 on it (looks like NS4 pref compatibility goo), it's apparently never had any in-tree users, we have better ways of scaling display than the blunt tool of scaling all font display as the preference does.  Also, we'd be able to get rid of some font-scaling code and complexity.
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2009-10-23 19:45:25 PDT
Assigning to Maxim, per his request.
Comment 2 Javi Rueda 2011-07-07 03:46:27 PDT
The preference not even exist in any file. Some try to read it, but it is not in all.js.
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2011-07-07 08:23:46 PDT
Nothing requires preferences to be in all.js.  Preferences that aren't in all.js can be set, and then code reading them will get the value that was set.
Comment 4 Javi Rueda 2011-07-09 11:03:11 PDT
Seeking for "browser.display.base_font_scaler" in all tress gives me as a result either 1 file found either zero results. The only result found is calling a GetIntPref function, so, when is this value set?
Comment 5 Boris Zbarsky [:bz] (still a bit busy) 2011-07-09 19:29:50 PDT
Anyone can set it.  Just open about:config and add a value for this preference.
Comment 6 Javi Rueda 2011-07-10 18:30:50 PDT
(In reply to comment #5)
> Anyone can set it.  Just open about:config and add a value for this
> preference.

Sorry, now I was able to try it. Yeah, setting the pref manually makes the fonts displayed scaled by this value. As you could imagine I am a newbie here, althought I knew about this way to set preferences, this world is new to me. So, thank you for the patience.

I have prepared a patch. It removes the code that reads this value, the line of code that makes public this value to the rest of the source-code and, finally, modifies the functions that takes into count this scale value. I am going to post it now.
Comment 7 Javi Rueda 2011-07-10 18:34:43 PDT
Created attachment 545109 [details] [diff] [review]
patch to the bug 516547
Comment 8 Boris Zbarsky [:bz] (still a bit busy) 2011-07-11 08:52:59 PDT
Comment on attachment 545109 [details] [diff] [review]
patch to the bug 516547

r=me.

dbaron, can you give this a quick sr?
Comment 9 David Baron :dbaron: ⌚️UTC-10 2011-07-11 09:29:08 PDT
Comment on attachment 545109 [details] [diff] [review]
patch to the bug 516547

sr=dbaron
Comment 10 Boris Zbarsky [:bz] (still a bit busy) 2011-07-11 19:38:03 PDT
Pushed http://hg.mozilla.org/integration/mozilla-inbound/rev/6be6854338bd
Comment 11 Mounir Lamouri (:mounir) 2011-07-12 03:47:52 PDT
Merged:
http://hg.mozilla.org/mozilla-central/rev/6be6854338bd

Note You need to log in before you can comment on or make changes to this bug.